org.apache.commons.io.input

## Class UnixLineEndingInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.commons.io.input.UnixLineEndingInputStream

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class UnixLineEndingInputStream
      extends InputStream

  A filtering input stream that ensures the content will have unix-style line endings, LF.
  Since:
    2.5

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnixLineEndingInputStream(InputStream in, boolean ensureLineFeedAtEndOfFile)` Create an input stream that filters another stream

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes the stream.
    `void` | `mark(int readlimit)`
    `int` | `read()`

    - ### Methods inherited from class java.io.InputStream

      `available, markSupported, read, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnixLineEndingInputStream

          public UnixLineEndingInputStream(InputStream in,
                                           boolean ensureLineFeedAtEndOfFile)

      Create an input stream that filters another stream
      Parameters:
        `in` - The input stream to wrap
        `ensureLineFeedAtEndOfFile` - true to ensure that the file ends with LF

  - ### Method Detail

    - #### read

          public int read()
                   throws IOException

      Specified by:
        `read` in class `InputStream`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Closes the stream. Also closes the underlying stream.
      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `InputStream`
      Throws:
        `IOException` - upon error

    - #### mark

          public void mark(int readlimit)

      Overrides:
        `mark` in class `InputStream`

Copyright © 2002–2017 The Apache Software Foundation. All rights reserved.